All Classes Files Functions Typedefs Groups Pages
NexRtc Class Reference

## Public Member Functions

bool | write_rtc_time (char *time)
bool | write_rtc_time (char *time_type, uint32_t number)
bool | write_rtc_time (uint32_t *time)
uint32_t | read_rtc_time (char *time, uint32_t len)
uint32_t | read_rtc_time (char *time_type, uint32_t *number)
uint32_t | read_rtc_time (uint32_t *time, uint32_t len)

## Member Function Documentation

uint32_t NexRtc::read_rtc_time | ( | char * | time,
|  | uint32_t | len
| ) |  |

read rtc time

Parameters

  time | - Access data array
  time | - len of array

Returns
  true if success, false for failure

uint32_t NexRtc::read_rtc_time | ( | char * | time_type,
|  | uint32_t * | number
| ) |  |

read rtc times

Parameters

  time_type | - To type in time
  number | - the time value

Returns
  true if success, false for failure

uint32_t NexRtc::read_rtc_time | ( | uint32_t * | time,
|  | uint32_t | len
| ) |  |

read rtc time

Parameters

  time | - Access data array
  time | - len of array

Returns
  true if success, false for failure

bool NexRtc::write_rtc_time | ( | char * | time_type,
|  | uint32_t | number
| ) |  |

write rtc times

Parameters

  time_type | - To type in time (example:write_rtc_time("year",2016))
  number | - the time value

Returns
  true if success, false for failure

bool NexRtc::write_rtc_time | ( | uint32_t * | time | ) |

write rtc times

Parameters

  time | - Time to write to the array

Returns
  true if success, false for failure

The documentation for this class was generated from the following files:

- NexRtc.h
- NexRtc.cpp